aboutsummaryrefslogtreecommitdiff
path: root/tools/test/stress2/misc/sort.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/test/stress2/misc/sort.sh')
-rwxr-xr-xtools/test/stress2/misc/sort.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/tools/test/stress2/misc/sort.sh b/tools/test/stress2/misc/sort.sh
new file mode 100755
index 000000000000..4807f05b1701
--- /dev/null
+++ b/tools/test/stress2/misc/sort.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2017 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+# VM stress.
+
+# "panic: freeing free block: ffff40, size 8, mask 1" seen in WiP code:
+# https://people.freebsd.org/~pho/stress/log/sort.txt
+
+[ `sysctl -n vm.swap_total` -eq 0 ] && exit 0
+
+for i in `jot 6`; do
+ sort /dev/zero &
+ pids="$pids $!"
+done
+start=`date '+%s'`
+while [ $((`date '+%s'` - start)) -lt 180 ]; do
+ sleep 10
+ pgrep -q sort || break
+done
+while pgrep -q sort; do
+ kill -9 $pids > /dev/null 2>&1
+ sleep 1
+done
+wait
+exit 0